/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: Vocabulary.java,v d808b6cb5d50 2010/07/10 21:19:33 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.mobile.rss;

import java.util.Date;
import java.util.List;
import it.tidalwave.util.Key;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public final class Vocabulary
  {
    private Vocabulary()
      {
      }

    public static final Key<String> TITLE = new Key<String>("title");
    public static final Key<String> LINK = new Key<String>("link");
    public static final Key<String> DESCRIPTION = new Key<String>("description");
    public static final Key<String> LANGUAGE = new Key<String>("language");
    public static final Key<String> COPYRIGHT = new Key<String>("copyright");
    public static final Key<Date> LAST_BUILD_DATE = new Key<Date>("lastBuildDate");
    public static final Key<String> GENERATOR = new Key<String>("generator");
    public static final Key<Date> PUB_DATE = new Key<Date>("pubDate");
    public static final Key<String> DC_CREATOR = new Key<String>("dc:creator");
    public static final Key<String> GUID = new Key<String>("guid");
    public static final Key<String> CONTENT = new Key<String>("content");
    public static final Key<List<Message>> MESSAGES = new Key<List<Message>>("messages");
  }
